Quickstart
Use this quickstart to complete one end-to-end workflow with the REST API.
You will upload sample data to Amazon S3, ingest it, onboard it, train a model, deploy it, and query the deployed model for a prediction and explanation.
Before you start
This quickstart assumes that you will:
- download the sample dataset;
- upload it to an Amazon S3 bucket you control; and
- use that S3 location as the source data for the workflow.
You also need permission to:
- create account API credentials; and
- grant the platform read-only access to your S3 bucket.
Organisations and accounts are currently created by Umnai during onboarding. Each account uses storage that is either provisioned by Umnai or provided by the customer.
If your account uses provided storage, complete the Account storage setup before starting. Account storage has a different role from the read-only source storage used in this quickstart. The two roles can use the same S3 bucket, but dedicated buckets are strongly recommended.
Several steps start asynchronous jobs. After you start a job, retrieve its status and continue only when it reaches the status shown in the step.
As you go, save the IDs returned by the API. Later steps use those IDs in request bodies, path parameters, or headers.
1. Authenticate
Authenticate once at the start of the workflow.
Create account API credentials in the dashboard.
Create API credentials
Store the generated client_id and client_secret securely.
{"access_token": "eyJhbGaiOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCx6Ijg5YzlmMzdhIn0.eyJzdWIiOiI4ZjQxOWE2Zi1lNDUxLTRiYjItYmQ0Ny1kZGIxZjVmYjM1N2MiLCJuYW1lIjoiSm9zZXBoIE1hc2luaSIsImVtYWlsIjoiam9zZXBoLm1hc2luaUB1bW5haS5jb20iLCJlbWFpbF92ZXJpZmllZCI6dHJ1ZSwibWV0YWRhdGEiOnsibGFzdFRlcm1zQ2hlY2siOiIyMDI1LTAyLTI4VDE3OjA3OjU2LjU3M1oifSwicm9sZXMiOlsiQWRtaW4iXSwicGVybWlzc2lvbnMiOlsiZmUuYWNjb3VudC1zZXR0aW5ncy5yZWFkLmFwcCIsImZlLmNvbm5lY3Rpdml0eS4qIiwiZmUuc2VjdXJlLioiLCJ1bW5haS5tb2RlbHMuZGVsZXRlLnBlcm1hbnRlbnRseURlbGV0ZSJdLCJ0ZW5hbnRJZCI6ImNmNWIwOTNlLTdmNjUtNDgwZS05ODEwLTdmZWI3ODY0OTIyMiIsInRlbmFudElkcyI6WyJjMDU1MmUzZC00ZWI0LTQyODktOTg2Yi1mMGVkMWU0YWM3OWMiLCJjZjViMDkzZS03ZjY1LTQ4MGUtOTgxMC03ZmViNzg2NDkyMjIiXSwicHJvZmlsZVBpY3R1cmVVcmwiOiJodHRwczovL3d3dy5ncmF2YXRhci5jb20vYXZhdGFyLzA3ZDQ1YmE5Nzk2MDExZGQ5ZmRiZDJiMzkyZmM5NDdkP2Q9aHR0cHM6Ly91aS1hdmF0YXJzLmNvbS9hcGkvSm9zZXBoK01hc2luaS8xMjgvcmFuZG9tIiwiZXh0ZXJuYWxJZCI6bnVsbCwicGhvbmVOdW1iZXIiOm51bGwsInNpZCI6ImJmZmZjZjNmLTE3ODkt4GRhNi1hN2JkLThkZTRkMGUwODYwYiIsInR5cGUiOiJ1c2VyVG9rZW4iLCJhcHBsaWNhdGlvbklkIjoiZmJhMzE3YjQtNmIyMS00NjZhLTlkMjktZDZjZTNlZWEzZWVhIiwiYXVkIjoiODljOWYzN2EtMmQyNC00ZmE2LWJlMTItYjkxOGM4ZmIzZDEzIiwiaXNzIjoiaHR0cHM6Ly9hcHAtaXIwZXhsajh0a3ZnLmZyb250ZWdnLmNvbSIsImlhdCI6MTc3NDU0MDA1MSwiZXhwIjoxNzc3MTMyMDUxfQ.WTbu-NBi9NSxn9y4tusGJIentDWkDWF2uwcGwp3Ms_2e7yxyqJLSjYXgLjj3oZUs-oVbTJaRmFDPK7B5x8eiyUoD7WxhkcOBTwzFMkcQMkVEVCxCO_zeI_xVPz1auxiKmfNEMcToYMpxkiX401b5Oq_59vESpZPvWhsrV-eLxnADsEV8B2hGEmemAcb_64JJIHipyDfpclpznMzirE6KEJ6AEMlE3BedKV2g0Zb_jsBsQNxY-ZH-EgcGYSc8ft8JlhQZCvva32YD8Z2eJV3BIycGsEs9vnMd1RXiEL3ZrJm7T9S_fzKkIQ5d2Qarg9PAdNBOIPYFsb2Y2klkvs-GsQ","token_type": "Bearer","expires_in": 2592000}
Save the returned access_token as ACCESS_TOKEN.
Use it in the Authorization header for each API request:
Authorization: Bearer ACCESS_TOKEN
2. Connect source data
Grant the platform read-only access to the S3 bucket that contains your source data.
-
In the AWS Console, open S3. Ensure that the selected AWS Region matches the region agreed with Umnai during onboarding.
-
Select the bucket that contains your source data and open the Permissions tab.
-
Under Bucket policy, select Edit, then paste the following policy.
-
Obtain the Umnai platform AWS account ID for your environment from Umnai support.
-
Replace
<ACCOUNT-ID>with the account ID provided to you and<YOUR-BUCKET-NAME>with your bucket’s name:{"Version": "2012-10-17","Statement": [{"Sid": "AllowSourceObjectRead","Effect": "Allow","Principal": {"AWS": "arn:aws:iam::<ACCOUNT-ID>:root"},"Action": ["s3:GetObject"],"Resource": "arn:aws:s3:::<YOUR-BUCKET-NAME>/*"},{"Sid": "AllowSourceBucketList","Effect": "Allow","Principal": {"AWS": "arn:aws:iam::<ACCOUNT-ID>:root"},"Action": ["s3:ListBucket"],"Resource": "arn:aws:s3:::<YOUR-BUCKET-NAME>"}]} -
Select Save changes. You should see confirmation that the bucket policy was updated.
Create a storage connector for the bucket.
{"id": "02910f90b30a5b94ad505efe83280dca","name": "Sample Storage Connector","bucket_name": "sample-storage-connector-bucket","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-12T13:55:14.315928Z","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"}}
Save the returned id as CONNECTOR_ID.
3. Create processing resources
Create the processing compute configuration used by ingestion and onboarding jobs.
{"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration","machine_type": "ml.m5.4xlarge","compute_type": "PROCESSING","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-25T15:23:50.965824Z","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"}}
Save the returned id as PROCESSING_COMPUTE_CONFIGURATION_ID.
Create a data schema that describes the source data.
curl -X POST https://api.hi.umnai.com/data-schemas \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"name": "Sample Schema","fields": [{"name": "age","data_type": {"data_type": "NUMBER","format": "INT64"},"designation": "FEATURE","semantic_type": "CONTINUOUS"},{"name": "occupation","data_type": {"data_type": "STRING"},"designation": "FEATURE","semantic_type": "CATEGORICAL"},{"name": "income","data_type": {"data_type": "NUMBER","format": "INT64"},"designation": "TARGET","semantic_type": "CATEGORICAL"}]}'
{"id": "22f2c353201d472fbfc7c856eaecaccd","account": {"id": "cf5b093e7f65480e98107feb78649222","name": "Sample Account"},"name": "Sample Schema","fields": [{"created_at": "2026-04-02T08:36:14.974937Z","data_type": {"data_type": "NUMBER","format": "INT64"},"designation": "FEATURE","id": "37fd2c48429440ae981cb9831c66464b","name": "age","created_by": {"id": "eca422469dc3270625bf646df3472a45","name": "Sample User"},"dimension": null,"semantic_type": "CONTINUOUS","unit": null,"updated_at": null,"vector": false},{"created_at": "2026-04-02T08:36:14.982037Z","data_type": {"data_type": "STRING","format": null},"designation": "FEATURE","id": "95dc4f2aab9242e491b1f109778b0d10","name": "occuptation","created_by": {"id": "eca422469dc3270625bf646df3472a45","name": "Sample User"},"dimension": null,"semantic_type": "CATEGORICAL","unit": null,"updated_at": null,"vector": false},{"created_at": "2026-04-02T08:36:15.063293Z","data_type": {"data_type": "NUMBER","format": "INT64"},"designation": "TARGET","id": "058383ab0f6c4ce9a078b5f842ace676","name": "income","created_by": {"id": "eca422469dc3270625bf646df3472a45","name": "Sample User"},"dimension": null,"semantic_type": "CATEGORICAL","unit": null,"updated_at": null,"vector": false}],"friendly_names": [],"category_friendly_names": [],"data_anchors": [],"data_protections": [],"created_at": "2026-04-02T08:36:14.968725Z","created_by": {"id": "eca422469dc3270625bf646df3472a45","name": "Sample User"}}
Save the returned id as SCHEMA_ID.
Create an ingestion configuration.
curl -X POST https://api.hi.umnai.com/data-processing-ingestion-configurations \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"name": "Sample Ingestion Configuration","data_schema_id": "c1342ae9bd985c0d9c5fa5222609c3fa"}'
{"id": "d2f74730b1467213748b3750b3ad87ac","name": "Sample Ingestion Configuration","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-15T10:15:30.000000Z","observation_specification": {"observation_type": "observation_type","observation_source": "observation_source","observation_shard_id": "observation_shard_id","observation_file_index": "observation_file_index","observation_index": "observation_index","observation_mask_index": "observation_mask_index","observation_mask_file_index": "observation_mask_file_index","observation_increment_index": "observation_increment_index"},"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z","data_schema": {"id": "c1342ae9bd985c0d9c5fa5222609c3fa","name": "Sample Data Schema"}}
Save the returned id as INGESTION_CONFIGURATION_ID.
4. Ingest the data
Run an initial ingestion job to create a datasource.
curl -X POST https://api.hi.umnai.com/data-processing-ingestion-jobs \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"job_type": "INITIAL","compute_configuration_id": "351df95006b1350e597762a1d58e9319","data_path": "/sample/initial/path","data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29","datasource_name": "Sample Datasource","name": "Sample Initial Ingestion Job","storage_connector_id": "02910f90b30a5b94ad505efe83280dca"}'
{"job_type": "INITIAL","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"created_at": "2026-03-15T10:15:30.000000Z","data_path": "/sample/initial/path","data_processing_configuration": {"id": "3dd973d3fda8604fba040381bfcaab29","name": "Sample Ingestion Configuration"},"id": "c716d98913540a5968891bed979d177e","maximum_runtime_seconds": 3600,"name": "Sample Initial Ingestion Job","status": "STARTING","storage_connector": {"id": "02910f90b30a5b94ad505efe83280dca","name": "Sample Storage Connector"},"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"datasource": {"id": "1ea7e575defdf6bc3f26a3f127e98170","name": "Sample Datasource"},"progress": 0,"stage": "initializing","stage_progress": 0,"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned id as INGESTION_JOB_ID.
Retrieve the job until its status is COMPLETED.
{"job_type": "INITIAL","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"created_at": "2026-03-15T10:15:30.000000Z","data_path": "/sample/path","data_processing_configuration": {"id": "3dd973d3fda8604fba040381bfcaab29","name": "Sample Ingestion Configuration"},"id": "c716d98913540a5968891bed979d177e","maximum_runtime_seconds": 1,"name": "Sample Ingestion Job","status": "STARTING","storage_connector": {"id": "02910f90b30a5b94ad505efe83280dca","name": "Sample Storage Connector"},"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"datasource": {"id": "1ea7e575defdf6bc3f26a3f127e98170","name": "Sample Datasource"},"progress": 0.5,"stage": "sample_stage","stage_progress": 0.5,"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned datasource.id as DATASOURCE_ID.
5. Onboard the datasource
Create an initial onboarding configuration.
curl -X POST https://api.hi.umnai.com/data-processing-onboarding-configurations \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"configuration_type": "INITIAL","name": "Sample Initial Onboarding Configuration","prediction_type": "CLASSIFICATION","encoding_strategy": "STREAM","handle_unseen_categories": true,"impute": false,"one_hot_encoding_max_categories": 64,"strip_categories": true,"targets": ["target_column"]}'
{"configuration_type": "INITIAL","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-15T10:15:30.000000Z","encoding_strategy": "STREAM","feature_groups": [],"handle_unseen_categories": true,"id": "2df5b9fdb3389598e304f661315ebec8","impute": false,"infrequency_threshold": 1,"mask_category_fraction": 0.37,"mask_fraction": 0.8,"mask_median_fraction": 0.15,"mask_rows_fraction": 0.3,"name": "Sample Initial Onboarding Configuration","one_hot_encoding_max_categories": 64,"prediction_type": "CLASSIFICATION","shards": "256m","strip_categories": true,"sharding_strategy": "PROPORTIONATE","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"targets": ["target_column"],"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned id as ONBOARDING_CONFIGURATION_ID.
Run an initial onboarding job to create a dataset.
curl -X POST https://api.hi.umnai.com/data-processing-onboarding-jobs \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"job_type": "INITIAL","compute_configuration_id": "351df95006b1350e597762a1d58e9319","data_processing_configuration_id": "3dd973d3fda8604fba040381bfcaab29","dataset_name": "Sample Dataset","datasource_id": "1ea7e575defdf6bc3f26a3f127e98170","name": "Sample Initial Onboarding Job"}'
{"job_type": "INITIAL","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"created_at": "2026-03-15T10:15:30.000000Z","data_processing_configuration": {"id": "3dd973d3fda8604fba040381bfcaab29","name": "Sample Onboarding Configuration"},"datasource": {"id": "1ea7e575defdf6bc3f26a3f127e98170","name": "Sample Datasource"},"id": "7c2e73157a35658c245511bcf2a95195","maximum_runtime_seconds": 3600,"name": "Sample Initial Onboarding Job","status": "STARTING","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"dataset": {"id": "3c4d09e4ef50b370ae0efacdb43ec2dd","name": "Sample Dataset"},"progress": 0,"stage": "initializing","stage_progress": 0,"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned id as ONBOARDING_JOB_ID.
Retrieve the job until its status is COMPLETED.
{"job_type": "INITIAL","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"created_at": "2026-03-15T10:15:30.000000Z","data_processing_configuration": {"id": "3dd973d3fda8604fba040381bfcaab29","name": "Sample Onboarding Configuration"},"datasource": {"id": "1ea7e575defdf6bc3f26a3f127e98170","name": "Sample Datasource"},"id": "7c2e73157a35658c245511bcf2a95195","maximum_runtime_seconds": 1,"name": "Sample Onboarding Job","status": "STARTING","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"dataset": {"id": "3c4d09e4ef50b370ae0efacdb43ec2dd","name": "Sample Dataset"},"progress": 0.5,"stage": "sample_stage","stage_progress": 0.5,"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned dataset.id as DATASET_ID.
6. Train a model
Create a workspace for the training job and resulting model.
{"id": "1629dee48cc4e53161f9b2be8614e062","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"name": "Sample Workspace","created_at": "2026-03-24T13:12:54.215574Z","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"}}
Save the returned id as WORKSPACE_ID.
Create the training compute configuration.
{"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration","machine_type": "ml.m5.4xlarge","compute_type": "TRAINING","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-25T15:23:50.965824Z","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"}}
Save the returned id as TRAINING_COMPUTE_CONFIGURATION_ID.
Create a training configuration.
{"model_training_type": "INDUCTION","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-15T10:15:30.000000Z","id": "236f09a5d73018a9b8324105f1ee82df","name": "Sample Training Configuration","alpha": 0.5,"alpha_factor": 0.5,"bin_min_distance": 0.5,"binning_strategy": "UNIFORM","bins": 1,"boosting_strategy": "NO_GROUPING","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"early_stopping_patience": 1,"estimators": 1,"estimators_winsorize_level": 0.5,"exclude_implicit": true,"init_depth": 1,"l1_ratio": 0.5,"l1_ratio_delta": 0.5,"learning_rate": 0.5,"learning_rate_decay": 0.5,"learning_rate_patience": 1,"log_interval": 1,"max_depth": 1,"max_depth_momentum": 1,"max_interaction_degree": 1,"max_interactions": 1,"max_iterations": 1,"max_polynomial_degree": 1,"max_rounds": 1,"max_samples": 0.5,"model_capabilities": {"has_causal": false,"estimators_data": false},"model_complexity_max_iterations": 1,"model_complexity_patience": 1,"partition_min_delta": 0.5,"partition_min_delta_factor": 0.5,"partition_min_delta_fraction": 0.5,"partition_min_samples": 1,"prune_patience": 1,"prune_threshold": 0.5,"sparse_model": true,"subsample": 0.5,"training_size": 0.5,"updated_at": "2026-03-15T10:15:30.000000Z","validation_size": 0.5}
Save the returned id as TRAINING_CONFIGURATION_ID.
Run the training job.
Use WORKSPACE_ID as the X-Active-Workspace header value.
curl -X POST https://api.hi.umnai.com/training-jobs \-H "X-Active-Workspace: X-Active-Workspace" \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"name": "Sample Training Job","dataset_id": "3c4d09e4ef50b370ae0efacdb43ec2dd","training_configuration_id": "236f09a5d73018a9b8324105f1ee82df","compute_configuration_id": "351df95006b1350e597762a1d58e9319","model_name": "Sample Model Name","managed_spot_training": false}'
{"id": "5647cb5d7800f6834be0f591838d5d9a","name": "Sample Training Job","dataset": {"id": "3c4d09e4ef50b370ae0efacdb43ec2dd","name": "Sample Dataset"},"account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"workspace": {"id": "1629dee48cc4e53161f9b2be8614e062","name": "Sample Workspace"},"training_configuration": {"id": "236f09a5d73018a9b8324105f1ee82df","name": "Sample Training Configuration"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"status": "STARTING","managed_spot_training": false,"maximum_runtime_seconds": 3600,"created_at": "2026-03-15T10:15:30.000000Z","model": {"id": "20f35e630daf44dbfa4c3f68f5399d8c","name": "Sample Model"},"maximum_wait_time_seconds": 3600,"model_constraints": [],"model_constraint_groups": [],"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z","stage": "sample_stage","progress": 0.5,"stage_progress": 0.5}
Save the returned id as TRAINING_JOB_ID.
Retrieve the job until its status is COMPLETED.
{"id": "5647cb5d7800f6834be0f591838d5d9a","name": "Sample Training Job","dataset": {"id": "3c4d09e4ef50b370ae0efacdb43ec2dd","name": "Sample Dataset"},"account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"workspace": {"id": "1629dee48cc4e53161f9b2be8614e062","name": "Sample Workspace"},"training_configuration": {"id": "236f09a5d73018a9b8324105f1ee82df","name": "Sample Training Configuration"},"compute_configuration": {"id": "351df95006b1350e597762a1d58e9319","name": "Sample Compute Configuration"},"status": "STARTING","managed_spot_training": false,"maximum_runtime_seconds": 3600,"created_at": "2026-03-15T10:15:30.000000Z","model": {"id": "20f35e630daf44dbfa4c3f68f5399d8c","name": "Sample Model"},"maximum_wait_time_seconds": 3600,"model_constraints": [],"model_constraint_groups": [],"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z","stage": "sample_stage","progress": 0.5,"stage_progress": 0.5}
Save the returned model.id as MODEL_ID.
7. Deploy the model
Create a serverless deployment configuration.
curl -X POST https://api.hi.umnai.com/deployment-configurations \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"deployment_type": "SERVERLESS","maximum_concurrency": 1,"memory_size": 1024,"name": "Sample Serverless Deployment Configuration"}'
{"deployment_type": "SERVERLESS","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"created_at": "2026-03-15T10:15:30.000000Z","id": "8be6a0ea7db3303d3fb3568c0b583d9d","maximum_concurrency": 1,"memory_size": 1024,"name": "Sample Serverless Deployment Configuration","created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z"}
Save the returned id as DEPLOYMENT_CONFIGURATION_ID.
Deploy the model.
curl -X POST https://api.hi.umnai.com/deployed-models \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"name": "Sample Deployed Model","model_id": "20f35e630daf44dbfa4c3f68f5399d8c","deployment_configuration_id": "8be6a0ea7db3303d3fb3568c0b583d9d"}'
{"id": "abf66c365bddf8b064bdfe2ca5ee662a","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"name": "Sample Deployed Model","status": "STARTING","created_at": "2026-03-15T10:15:30.000000Z","model": {"id": "20f35e630daf44dbfa4c3f68f5399d8c","name": "Sample Model"},"deployment_configuration": {"id": "8be6a0ea7db3303d3fb3568c0b583d9d","name": "Sample Deployment Configuration"},"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z","tags": [{"name": "Sample Tag"}]}
Save the returned id as DEPLOYED_MODEL_ID.
Retrieve the deployed model until its status is RUNNING.
{"id": "abf66c365bddf8b064bdfe2ca5ee662a","account": {"id": "e268443e43d93dab7ebef303bbe9642f","name": "Sample Account"},"name": "Sample Deployed Model","status": "STARTING","created_at": "2026-03-15T10:15:30.000000Z","model": {"id": "20f35e630daf44dbfa4c3f68f5399d8c","name": "Sample Model"},"deployment_configuration": {"id": "8be6a0ea7db3303d3fb3568c0b583d9d","name": "Sample Deployment Configuration"},"created_by": {"id": "dad46b2058752ffde5eaf02f1eb6abd5","name": "Sample User"},"updated_at": "2026-03-15T10:15:30.000000Z","tags": [{"name": "Sample Tag"}]}
8. Request a prediction and explanation
Query the deployed model with a results view request.
curl -X POST https://api.hi.umnai.com/deployed-models/deployedModelId/views \-H "X-Views-Cache-Control: no-cache, no-store" \-H "Authorization: Bearer <token>" \-H "Content-Type: application/json" \-d '{"data": [{"view_type": "RESULTS"}],"query": {"age": [58],"capital_45_gain": [0],"capital_45_loss": [0],"education": ["HS-grad"],"educational_45_num": [9],"fnlwgt": [299831],"gender": ["Male"],"hours_45_per_45_week": [35],"marital_45_status": ["Married-civ-spouse"],"native_45_country": ["United-States"],"occupation": ["?"],"race": ["White"],"relationship": ["Husband"],"workclass": ["?"]},"targets": {"income": [0]}}'
{"data": [{"view_type": "RESULTS","commons_version": {"major_version": 0,"minor_version": 18,"patch_version": 0,"build_version": "dev72"},"core_version": {"major_version": 7,"minor_version": 10,"patch_version": 0,"build_version": "dev52"},"output_version": {"major_version": 2,"minor_version": 0,"patch_version": 0},"view_data": {"model_info": {"columns": ["model_intercept","model_id","dataset_name","commons_version","core_version","estimators_aggregation_type","estimators_aggregation_weights","estimators_aggregation_bias"],"index": [0],"data": [[-1.0836982274,"2bcb9dc8-adult_income-root_ae51ef149e564e44aea29d4289015533","2bcb9dc8-adult_income-root","0.18.0.dev72","7.10.0.dev52","MEAN",null,[0]]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "ARRAY","format": {"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}}]},"query_input": {"columns": ["age","workclass","fnlwgt","education","educational_45_num","marital_45_status","occupation","relationship","race","gender","capital_45_gain","capital_45_loss","hours_45_per_45_week","native_45_country"],"index": [0],"data": [[58,"?",299831,"HS-grad",9,"Married-civ-spouse","?","Husband","White","Male",0,0,35,"United-States"]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "INT64"},{"data_type": "STRING","format": null},{"data_type": "NUMBER","format": "INT64"},{"data_type": "STRING","format": null},{"data_type": "NUMBER","format": "INT64"},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "STRING","format": null},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "STRING","format": null}]},"feature_attribution": {"columns": ["age","workclass","education","educational_45_num","marital_45_status","occupation","relationship","race","gender","capital_45_gain","capital_45_loss","hours_45_per_45_week","native_45_country"],"index": [0],"data": [[0.0647808541,-0.0676474605,-0.0313969485,-0.1116615309,0.3690593203,-0.1066994267,0.1462616659,0.0019960039,0.0136857833,-0.0931422759,-0.0472697232,-0.032039807,-0.006444931]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"}]},"total_attribution": {"columns": ["0"],"index": [0],"data": [[-0.9842167034]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"}]},"predicted_output": {"columns": ["0"],"index": [0],"data": [[0.2720585794]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"}]},"module_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"],"index": [0],"data": [[0.0647808541,-0.1318352376,-0.0931422759,-0.0472697232,-0.032039807,-0.0242657021,0.0136857833,0.3415582307,-0.006444931,-0.13539332,0.0019960039,0.1094945188,-0.0676474605,0.003414743,0.0240163011,0.0231456524,0.0253621205,0.0300657735]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"}]},"partition_activation": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"],"index": [0],"data": [[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"}]},"partition_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"],"index": [0],"data": [[0.0647808541,-0.1318352376,-0.0931422759,-0.0472697232,-0.032039807,-0.0242657021,0.0136857833,0.3415582307,-0.006444931,-0.13539332,0.0019960039,0.1094945188,-0.0676474605,0.003414743,0.0240163011,0.0231456524,0.0253621205,0.0300657735]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"}]},"decomposition_activation": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100","101","102","103","104","105","106","107","108","109","110","111","112","113","114","115","116","117","118","119","120","121","122","123","124","125","126","127","128","129","130","131","132","133","134","135","136","137","138","139","140","141","142","143","144","145","146","147","148","149","150","151","152","153","154","155","156","157","158","159","160","161","162","163","164","165","166","167","168","169","170","171","172","173","174","175","176","177","178","179","180","181","182","183","184","185","186","187","188","189","190","191","192","193","194","195","196","197","198","199","200","201","202"],"index": [0],"data": [[1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,1,0,1,0,0,0,0,0]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"}]},"decomposition_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100","101","102","103","104","105","106","107","108","109","110","111","112","113","114","115","116","117","118","119","120","121","122","123","124","125","126","127","128","129","130","131","132","133","134","135","136","137","138","139","140","141","142","143","144","145","146","147","148","149","150","151","152","153","154","155","156","157","158","159","160","161","162","163","164","165","166","167","168","169","170","171","172","173","174","175","176","177","178","179","180","181","182","183","184","185","186","187","188","189","190","191","192","193","194","195","196","197","198","199","200","201","202"],"index": [0],"data": [[0.0647808541,-0.1318352376,-0.0931422759,-0.0472697232,-0.032039807,0,0,0,0,0,0,0,0,0,0,0,0,-0.0242657021,0,0,0,0,0,0,0.0136857833,0,0,0,0.3415582307,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-0.006444931,0,0,0,-0.13539332,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.0019960039,0,0.1094945188,0,0,0,0,0,0,-0.0676474605,0,0,0,0,0,0,0,0,0,0.0019017831,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.00151296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-0.0071312464,0,0,0,0,0,0,0,0.0311475476,0,0,0,0,0,0,0,-0.0036464579,0,0,0,0,0,0.0267921103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0.0253621205,0,0,0,0,0,0.0201737068,0,0.0098920667,0,0,0,0,0]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"},{"data_type": "NUMBER","format": "INT64"}]},"estimators_predicted_output": {"columns": ["0","1"],"index": [0],"data": [[0.2735845447,0.2705326141]],"foreign_keys": [],"labels": [],"types": [{"data_type": "NUMBER","format": "FLOAT64"},{"data_type": "NUMBER","format": "FLOAT64"}]},"estimators_feature_attribution": {"columns": ["age","workclass","education","educational_45_num","marital_45_status","occupation","relationship","race","gender","capital_45_gain","capital_45_loss","hours_45_per_45_week","native_45_country"],"index": [0],"data": [[[0.0646486257,0.0649130825],[-0.0659330512,-0.0693618697],[-0.0218890662,-0.0423094627],[-0.1120373673,-0.1112866485],[0.3605294714,0.3840125829],[-0.1032622882,-0.1151560485],[0.1468037999,0.1457211876],[0.0023801547,0.0016118531],[0.0133834105,0.013988156],[-0.0926833867,-0.0936011651],[-0.046602184,-0.0479372623],[-0.0321763441,-0.0319032698],[-0.0064493431,-0.0064405189]]],"foreign_keys": [],"labels": [],"types": [{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}}]},"estimators_module_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"],"index": [0],"data": [[[0.0646486257,0.0649130825],[-0.1319163195,-0.1317541558],[-0.0926833867,-0.0936011651],[-0.046602184,-0.0479372623],[-0.0321763441,-0.0319032698],[-0.0239412169,-0.0245901872],[0.0133834105,0.013988156],[0.342082156,0.3410343053],[-0.0064493431,-0.0064405189],[-0.1365255436,-0.1342610965],[0.0023801547,0.0016118531],[0.1099097792,0.1090792583],[-0.0659330512,-0.0693618697],[0.0044787801,0.0023507059],[0.02410137,0.0239312323],[0.0273065793,0.0189847254],[0.0250790796,0.0256451614],[0.0295698854,0.0305616616]]],"foreign_keys": [],"labels": [],"types": [{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}}]},"estimators_partition_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"],"index": [0],"data": [[[0.0646486257,0.0649130825],[-0.1319163195,-0.1317541558],[-0.0926833867,-0.0936011651],[-0.046602184,-0.0479372623],[-0.0321763441,-0.0319032698],[-0.0239412169,-0.0245901872],[0.0133834105,0.013988156],[0.342082156,0.3410343053],[-0.0064493431,-0.0064405189],[-0.1365255436,-0.1342610965],[0.0023801547,0.0016118531],[0.1099097792,0.1090792583],[-0.0659330512,-0.0693618697],[0.0044787801,0.0023507059],[0.02410137,0.0239312323],[0.0273065793,0.0189847254],[0.0250790796,0.0256451614],[0.0295698854,0.0305616616]]],"foreign_keys": [],"labels": [],"types": [{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}}]},"estimators_decomposition_attribution": {"columns": ["0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100","101","102","103","104","105","106","107","108","109","110","111","112","113","114","115","116","117","118","119","120","121","122","123","124","125","126","127","128","129","130","131","132","133","134","135","136","137","138","139","140","141","142","143","144","145","146","147","148","149","150","151","152","153","154","155","156","157","158","159","160","161","162","163","164","165","166","167","168","169","170","171","172","173","174","175","176","177","178","179","180","181","182","183","184","185","186","187","188","189","190","191","192","193","194","195","196","197","198","199","200","201","202"],"index": [0],"data": [[[0.0646486257,0.0649130825],[-0.1319163195,-0.1317541558],[-0.0926833867,-0.0936011651],[-0.046602184,-0.0479372623],[-0.0321763441,-0.0319032698],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[-0.0239412169,-0.0245901872],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0133834105,0.013988156],[0,0],[0,0],[0,0],[0.342082156,0.3410343053],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[-0.0064493431,-0.0064405189],[0,0],[0,0],[0,0],[-0.1365255436,-0.1342610965],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0023801547,0.0016118531],[0,0],[0.1099097792,0.1090792583],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[-0.0659330512,-0.0693618697],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0023547721,0.0014480924],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.002124008,0.0009026135],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0020521507,-0.0177192754],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0220492193,0.0416505077],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[-0.0036019039,0.0013277699],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0309084832,0.0176569555],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0250790796,0.0256451614],[0,0],[0,0],[0,0],[0,0],[0,0],[0.0198789522,0.0204675072],[0,0],[0.0096909332,0.0100941544],[0,0],[0,0],[0,0],[0,0],[0,0]]],"foreign_keys": [],"labels": [],"types": [{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "FLOAT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}},{"data_type": "ARRAY","format": {"data_type": "NUMBER","format": "INT64"}}]}},"views_version": {"major_version": 0,"minor_version": 7,"patch_version": 0,"build_version": "dev13"}}]}
A successful response includes the prediction result and the explanation data associated with that result.
Complete
You have ingested sample data, onboarded it into a dataset, trained a model, deployed it, and requested a prediction with explanation data.
Use the guides for deeper implementation details, or use the API reference for endpoint and schema details.

